{{ form.non_field_errors }}
<fieldset class="planner--card">
  <legend>Basic Safety Certificate</legend>
  <div>
    <div id="basic-safety-no-upload"
         {% if not basic_cert %}style="display: none"{% endif %}>
      <p>Cert already present and valid until {{ basic_cert.valid_until|date:"Y-m-d" }}</p>
      <button class="secondary button"
              type="button"
              onclick="toggleUploadField('basic-safety-upload', 'basic-safety-no-upload')">
        Upload another Certificate
      </button>
    </div>
    <div id="basic-safety-upload"
         class="fields"
         {% if basic_cert %}style="display: none"{% endif %}>
      {% include "public/inquiries/forms/form_field.html" with field=form.basic_safety_certificate %}
      {% include "public/inquiries/forms/form_field.html" with field=form.basic_safety_certificate_validity_date %}
      {% if basic_cert %}
        <button class="secondary button"
                onclick="toggleUploadField('basic-safety-upload', 'basic-safety-no-upload')">
          Keep Current Version
        </button>
      {% endif %}
    </div>
  </div>
</fieldset>
<fieldset class="planner--card">
  <legend>Medical Fitness Certificate</legend>
  <div>
    <div id="medical-fitness-no-upload"
         {% if not medic_cert %}style="display: none"{% endif %}>
      <p>Cert already present and valid until {{ medic_cert.valid_until|date:"Y-m-d" }}</p>
      <button class="secondary button"
              type="button"
              onclick="toggleUploadField('medical-fitness-upload', 'medical-fitness-no-upload')">
        Upload another Certificate
      </button>
    </div>
    <div id="medical-fitness-upload"
         class="fields"
         {% if medic_cert %}style="display: none"{% endif %}>
      {% include "public/inquiries/forms/form_field.html" with field=form.medical_fitness_certificate %}
      {% include "public/inquiries/forms/form_field.html" with field=form.medical_fitness_certificate_validity_date %}
      {% if medic_cert %}
        <button class="secondary button"
                onclick="toggleUploadField('medical-fitness-upload', 'medical-fitness-no-upload')">
          Keep Current Version
        </button>
      {% endif %}
    </div>
  </div>
</fieldset>
<fieldset class="planner--card">
  <legend>Watchkeeping License</legend>
  <div>
    <div id="watchkeeping-no-upload"
         {% if not watchkeeping_cert %}style="display: none"{% endif %}>
      <p>Cert already present and valid until {{ watchkeeping_cert.valid_until|date:"Y-m-d" }}</p>
      <button class="secondary button"
              type="button"
              onclick="toggleUploadField('watchkeeping-upload', 'watchkeeping-no-upload')">
        Upload another Certificate
      </button>
    </div>
    <div id="watchkeeping-upload"
         class="fields"
         {% if watchkeeping_cert %}style="display: none"{% endif %}>
      {% include "public/inquiries/forms/form_field.html" with field=form.watchkeeping_license_certificate %}
      {% include "public/inquiries/forms/form_field.html" with field=form.watchkeeping_license_certificate_validity_date %}
      {% if watchkeeping_cert %}
        <button class="secondary button"
                onclick="toggleUploadField('watchkeeping-upload', 'watchkeeping-no-upload')">
          Keep Current Version
        </button>
      {% endif %}
    </div>
  </div>
</fieldset>
<script>
function toggleUploadField(uploadId, noUploadId) {
  const uploadElement = document.getElementById(uploadId);
  const noUploadElement = document.getElementById(noUploadId);

  if (uploadElement && noUploadElement) {
    if (uploadElement.style.display === 'none') {
      uploadElement.style.display = null;
      noUploadElement.style.display = 'none';
    } else {
      uploadElement.style.display = 'none';
      noUploadElement.style.display = null;
    }
  }
}
</script>
